#ifndef HOST_PORT_ACCESS
	#define HOST_PORT_ACCESS

#include "ADSP-2191 Host Port Booting.h"

//--------------------------------------------------------------------------//
// Symbolic constants														//
//--------------------------------------------------------------------------//
// external IO page is used for accessing PLD so that DSP asserts /IOMS
#define EXTERNAL_IO_PAGE		0x08

// the following addresses are used to signal to the PLD what type of access is being done
// (Address/Data, MEM/IO, PM/DM)
enum e_PLD_Virtual_Address_Space
{
	HP_DM_ADDRESS	= 0,						// Host Port Data Memory Address cycle
	HP_DM_DATA		= 1,						// Host Port Data Memory Data cycle
	HP_PM_ADDRESS	= 2,						// Host Port Program Memory Address cycle
	HP_PM_DATA		= 3,						// Host Port Program Memory Data Cycle
	HP_IO_ADDRESS	= 4,						// Host Port IO space Address cycle
	HP_IO_DATA		= 5,						// Host Port IO space Data cycle
	REG_VERSION		= 8							// register containing version of VHDL design
};

#endif											// HOST_PORT_ACCESS

